### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
CapFloor::arguments Class Reference

Arguments for cap/floor calculation More...

`#include <ql/instruments/capfloor.hpp>`

Inherits PricingEngine::arguments.

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

CapFloor::Type | type
std::vector< Date > | startDates
std::vector< Date > | fixingDates
std::vector< Date > | endDates
std::vector< Time > | accrualTimes
std::vector< Rate > | capRates
std::vector< Rate > | floorRates
std::vector< Rate > | forwards
std::vector< Real > | gearings
std::vector< Real > | spreads
std::vector< Real > | nominals

## Detailed Description

Arguments for cap/floor calculation